# Colors

Semantic app-wide colors used across components.

```swift
public struct Colors {
    public var accent: Color
    public var primaryText: Color
    public var secondaryText: Color
    public var primaryTextLight: Color
    public var primaryTextDark: Color
    public var danger: Color
    public var error: Color
    public var warning: Color
    public var info: Color
    public var success: Color
    public var grayFill: Color
    public var lightFill: Color
    public var darkFill: Color
    public var secondaryFill: Color
    public var progress: Color
    public var primaryBackground: Color
    public var secondaryBackground: Color
}
```

#### Example (partial override):

```swift
let colors = SeamTheme.Colors.default.with(
    accent: .teal,
    primaryBackground: Color(UIColor.systemBackground)
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/ui-components/seam-mobile-components/seam-mobile-components-for-ios/theming/colors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
